import es, string, playerlib, os

fakechat_ver = es.ServerVar("fakechat_ver", "1.0", "Version of fakechat you are running.")
fakechat_ver.makepublic()

admins = {}

def load():
    fc_loaded = 0
    if os.path.exists(es.getAddonPath('fakechat') + "/admins.txt"):
        global fc_loaded
        fc_loaded = 1
        es.regsaycmd(">", "fakechat/domessage", "Do Message")
        loadadmins()

def unload():
    es.unregsaycmd(">")

def loadadmins():
    if fc_loaded == 1:
        global admins
        file = open(es.getAddonPath('fakechat') + "/admins.txt", "r")
        for line in file:
            if not "//" in line and "STEAM_" in line:
                line = line.rstrip()
                admins[line] = 1

def round_start(event_var):
    if fc_loaded == 1:
        global admins
        for fc_admin in admins:
            fc_userid = es.getuserid(fc_admin)
            es.tell(fc_userid, "#multi", "#green[FakeChat]#default Type '#lightgreen> [username] [message]#default' to chat through others!")

def domessage():
    if fc_loaded == 1:
        global admins
        fc_args = es.getargc()
        fc_adminid = es.getcmduserid()
        fc_adminplayer = playerlib.getPlayer(fc_adminid)
        fc_adminsteam = fc_adminplayer.attributes['steamid']
        if fc_adminsteam in admins:
            if fc_args >= 3:
                fc_username = es.getargv(1)
                fc_userid = None
                fc_userid = es.getuserid(fc_username)
                if type(fc_userid) != None and fc_userid != 0:
                    fc_username = fc_username + " "
                    fc_text = es.getargs()
                    fc_text = fc_text.replace(fc_username, "", 1)
                    fc_player = playerlib.getPlayer(fc_userid)
                    fc_index = fc_player.attributes['index']
                    fc_name = fc_player.attributes['name']
                    fc_dead = fc_player.attributes['isdead']
                    fc_team = fc_player.attributes['teamid']
                    fc_format = "\1\3" + fc_name + "\1 :  "
                    if fc_team == 1:
                        fc_format = "\1*SPEC* \3" + fc_name + "\1 :  "
                    if fc_dead == 1 and fc_team != 1:
                        fc_format = "\1*DEAD* \3" + fc_name + "\1 :  "
                    fc_text = fc_format + fc_text
                    es.usermsg('create','saytext2','SayText2')
                    es.usermsg('write','byte','saytext2',fc_index)
                    es.usermsg('write','byte','saytext2',True) 
                    es.usermsg('write','string','saytext2',fc_text)
                    es.usermsg('write','string','saytext2','')
                    es.usermsg('write','string','saytext2','')
                    es.usermsg('write','string','saytext2','')
                    es.usermsg('write','string','saytext2','')
                    if fc_dead == 0:
                        for fc_userid in playerlib.getPlayerList('#all'):
                            es.usermsg('send','saytext2',int(fc_userid))
                    if fc_dead == 1:
                        for fc_userid in playerlib.getPlayerList('#dead'):
                            es.usermsg('send','saytext2',int(fc_userid))
                    es.usermsg('delete','saytext2')
                else:
                    es.tell(fc_adminid, "#multi", "#green[FakeChat]#default Could not find player: #lightgreen%s" % fc_username)
            else:
                es.tell(fc_adminid, "#multi", "#green[FakeChat]#default #lightgreenSyntax:#default > [username] [message]")
        else:
            es.tell(fc_adminid, "#multi", "#green[FakeChat]#default You do not have access to this command.")